Page MenuHomePhabricator

[AOI] Investigation: Can we improve navigation popups?
Closed, ResolvedPublic

Description

Per http://www.allourideas.org/wikimediaaccesorios/results?locale=es, can we improve the navigation pop-ups gadget?

https://en.wikipedia.org/wiki/Wikipedia:Tools/Navigation_popups - documentation

Alternatively, should we add features from Navigation Pop-ups to Hovercards?

Event Timeline

kaldari created this task.Aug 10 2015, 9:36 PM
kaldari updated the task description. (Show Details)
kaldari raised the priority of this task from to Needs Triage.
kaldari added a project: Community-Tech.
kaldari added a subscriber: kaldari.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 10 2015, 9:36 PM

I'm not sure how valuable it would be to work on this since Hovercards is available as an alternative. Need to investigate the current status of Hovercards. Is it available on all projects? Does it have the same features as navigation pop-ups?

kaldari moved this task from Untriaged to Ready on the Community-Tech board.Aug 10 2015, 9:38 PM
TheDJ added a subscriber: TheDJ.Aug 10 2015, 10:02 PM
TheDJ added a comment.EditedAug 10 2015, 10:05 PM

Navigation Popups is much more a quick navigation and action tool then the reader oriented Hovercards. It also shows meta information (amount of links, categories etc), does disambiguation and redirect fixing and is able to show information about users, history pages and a few more tricks.

I use both, and I use them for different things.

Disclosure, I'm a former maintainer of Navigation popups, so poke me when needed. @Amalthea has also worked on it a lot.

kaldari renamed this task from [AOI] Spike: Can we improve navigation popups? to [AOI] Investigation: Can we improve navigation popups?.Aug 12 2015, 2:40 AM
kaldari set Security to None.

I'm not sure, but I think the Hovercards team may have thought about a more power-user version of Hovercards (but not implemented it yet).

I think the Hovercards team may have thought about a more power-user version of Hovercards

The result of said thinking was to explicitly exclude it. https://www.mediawiki.org/wiki/Beta_Features/Hovercards
AFAICS, Hovercards has zero practical intersection with navigation popups functionality.

Nemo_bis removed a subscriber: Nemo_bis.

I think the Hovercards team may have thought about a more power-user version of Hovercards

The result of said thinking was to explicitly exclude it. https://www.mediawiki.org/wiki/Beta_Features/Hovercards
AFAICS, Hovercards has zero practical intersection with navigation popups functionality.

From https://www.mediawiki.org/wiki/Beta_Features/Hovercards itself:

Future priorities

  • Article titles
  • Reference Tooltips (phab:T67114)
  • Cross-wiki Hovercards (phab:T67117), and subsection links (phab:T65792), particularly for Wiktionary
  • User names
  • Integrate with Navigation Popups
Niharika claimed this task.Aug 12 2015, 5:18 PM
kaldari updated the task description. (Show Details)Aug 12 2015, 6:15 PM
In T108636#1531405, @NiharikaKohli wrote:
  • Integrate with Navigation Popups

This is integrating with the on-wiki gadget (this integration used to be in Hovercards as a switcher, but apparently no longer is, maybe due to complications).

I was referring to making a new power user Hovercards tool (which I vaguely recall hearing about, but could be wrong), but it's true that is not in the on-wiki roadmap.

Quoting Prateek from an email thread:

The feature is still
sort-of under development, but I am not sure what the roadmap is. Any
improvements towards making it more useful are welcome. It might be
helpful to push
https://en.wikipedia.org/wiki/Wikipedia_talk:Tools/Navigation_popups#Style_enhancements_similar_to_Hovercards,
but I am not sure if that work falls in your purview.
Hovercards are now part of the Reading team, and while I still submit
patches now and then, talking to Vibha or Sherah will be more useful.

I have also started work on a few patches that'll make Hovercards play well with external renderers. So we'll be able to display useful information for Talk, History pages etc, by just writing a new renderer. This is a little into the future though, it'll be nice to move to OOjs and maybe at some point to OOjs UI. It might even become simpler to add actions (as a setting, not default), once we've migrated.

Prateek has already made a script for changing the look and feel of Navpopups to make it more aligned with Hovercards.
Refer: https://en.wikipedia.org/wiki/Wikipedia_talk:Tools/Navigation_popups#Style_enhancements_similar_to_Hovercards

To deploy, the contents of https://en.wikipedia.org/wiki/MediaWiki:Gadget-navpop.css need to be replaced with the contents of https://en.wikipedia.org/wiki/User:Prtksxna/common.css. @kaldari, you'd have the rights to make that change, I believe. I'll be keeping a watch on the talk page for any complaints and will amend the script as needed.

I have also started work on a few patches that'll make Hovercards play well with external renderers. So we'll be able to display useful information for Talk, History pages etc, by just writing a new renderer.

That definitely sounds relevant to T107200: Good Flow experience with HoverCards and TextExtracts. Please keep us posted.

Nemo_bis removed a subscriber: Nemo_bis.Aug 19 2015, 6:37 AM
kaldari moved this task from In Dev/Progress to Done on the Community-Tech board.Aug 25 2015, 7:33 AM

The outcome of this investigation was T109796.

kaldari closed this task as Resolved.Sep 11 2015, 7:36 PM